Aspose.BarCode for Node.js via Java Installation

System Requirements

Aspose.BarCode for Node.js via Java is a platform-independent API and can be used on any platform (Windows, Linux, etc.) where Node.js and node-java bridge are installed. The machine must have Oracle JDK 7 or greater versions before setting up the installation.

Installation

Aspose.BarCode for Node.js via Java is distributed as a ZIP archive.

To install and use Aspose.BarCode for Node.js via Java, follow the following instructions:

Linux

  • Download and install Node.js.
  • Install Oracle JDK (1.7 or 1.8) for Linux, configure the JAVA_HOME environment variable.
  • Install Python 2.x
  • Install node-java bridge.
  • Download “Aspose.BarCode for Node.js via Java” and extract it.
  • Go to examples directory
  • Now run “node how_to_read_barcode_examples.js” @command prompt to run it.

Windows

  • Install Python 2.7 and add python.exe to PATH.
  • Install Node.js v8.9 and add node.exe to PATH.
  • Install Oracle JDK8 and configure the JAVA_HOME environment variable.
  • Install node-java bridge and run below commands @ command prompt as an administrator:
  • Download “Aspose.BarCode for Node.js via Java” and extract it.

Mac

  • Download and install Node.js (https://nodejs.org/en/download/)
  • Install Oracle JDK 1.8 (recommended) for Mac, configure the JAVA_HOME environment variable.
  • Modify JVMCapabilities section in “/Library/Java/JavaVirtualMachines/jdk1.8.0_152.jdk/Contents/Info.plist” with root privilege. (“jdk1.8.0_152.jdk” depends on your jdk version).
  • Install node-java bridge.
  • Download “Aspose.BarCode for Node.js via Java” and extract it.